Subject: [PATCH 11/24] ARM: OMAP2+: clock: remove support for legacy mpurate command line param

From: [email-masked] (Tero Kristo)
Date: Fri, 6 Mar 2015 18:10:08 +0200

On 03/06/2015 05:32 PM, Tony Lindgren wrote:
> * Tero Kristo <[email-masked]> [150306 04:29]:
>> The legacy support is wrong and dangerous, as it doesn't take any
>> OPPs into account and does not scale voltages. Switching mpurate should
>> be handled through cpufreq.
>
> Hmm I wonder if some systems actually rely on the mpurate cmdline
> parameter. If this cannot be fixed properly, you should at least
> print an error here.

Yea, I was kind of worried about this comment. We have also an option of 
doing this through clock driver, but I was hesitant of doing this 
either. Isn't having a global kernel option like this frowned upon 
anyway? I believe this piece of init code gets executed on every board 
on multiarch kernel.

-Tero